Package: release.debian.org
Severity: normal
User: release.debian....@packages.debian.org
Usertags: unblock

Please unblock package kde-workspace

This upload closes to RC bugs:

- #664225: removal of plasma-scriptengine-googlegadgets. We could not find a
  fix for it.
- #697668: add Breaks+Replaces to kde-style-oxygen against kdebase-runtime
  << 4:4.7.2

I have also updated the symbols files.

diffstat:
 changelog                                 |   16 ++++++++++++++++
 control                                   |   20 +++++---------------
 libkwineffects1abi3.symbols               |    4 ++--
 libprocesscore4abi1.symbols               |    4 +++-
 not-installed                             |    7 +++++++
 plasma-scriptengine-googlegadgets.install |    4 ----
 6 files changed, 33 insertions(+), 22 deletions(-)

Kinds regards, Lisandro.

unblock kde-workspace/4.8.4-6

-- System Information:
Debian Release: 7.0
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
diff -Nru kde-workspace-4.8.4/debian/changelog kde-workspace-4.8.4/debian/changelog
--- kde-workspace-4.8.4/debian/changelog	2012-12-03 18:26:19.000000000 -0300
+++ kde-workspace-4.8.4/debian/changelog	2013-01-21 13:12:12.000000000 -0300
@@ -1,3 +1,19 @@
+kde-workspace (4:4.8.4-6) unstable; urgency=low
+
+  [ José Manuel Santamaría Lema ]
+  * Remove plasma-scriptengine-googlegadgets, it's unmaintaned, buggy, and the
+    few widgets which would work have good replacements in plasma.
+    (Closes: #664225)
+
+  [ Lisandro Damián Nicanor Pérez Meyer ]
+  * Add Breaks+Replaces to kde-style-oxygen against kdebase-runtime << 4:4.7.2
+    (Closes: #697668).
+  * Confirm symbols files:
+    - From buildds' logs.
+    - Using the current build.
+
+ -- Lisandro Damián Nicanor Pérez Meyer <lisan...@debian.org>  Mon, 21 Jan 2013 13:12:08 -0300
+
 kde-workspace (4:4.8.4-5) unstable; urgency=low
 
   [ Lisandro Damián Nicanor Pérez Meyer ]
diff -Nru kde-workspace-4.8.4/debian/control kde-workspace-4.8.4/debian/control
--- kde-workspace-4.8.4/debian/control	2012-11-30 20:04:40.000000000 -0300
+++ kde-workspace-4.8.4/debian/control	2013-01-20 13:14:26.000000000 -0300
@@ -17,7 +17,6 @@
  zlib1g-dev,
  libdbusmenu-qt-dev (>= 0.6.0),
  libfontconfig-dev,
- libggadget-1.0-dev (>= 0.11.2), libggadget-qt-1.0-dev (>= 0.11.2),
  libglu1-mesa-dev, libqt4-opengl-dev,
  python-dev (>= 2.6.6-3~),
  shared-desktop-ontologies (>= 0.8),
@@ -207,7 +206,7 @@
  plasma-scriptengine-ruby (>= ${source:Version}),
  plasma-scriptengine-python (>= ${source:Version}),
  plasma-scriptengine-webkit (>= ${source:Version}),
- plasma-scriptengine-googlegadgets (>= ${source:Version}), ${misc:Depends}
+ ${misc:Depends}
 Recommends: plasma-scriptengine-superkaramba
 Suggests: plasma-scriptengine-kimono
 Description: metapackage to install all Plasma script engines
@@ -255,17 +254,6 @@
  .
  This package is part of the KDE base workspace module.
 
-Package: plasma-scriptengine-googlegadgets
-Architecture: any
-Depends: ${shlibs:Depends}, google-gadgets-qt, ${misc:Depends}
-Description: Google Gadgets script engine for Plasma
- This package contains the Google Gadgets script engine for Plasma. It enables
- Plasma to serve as a Google Gadgets host and allows one to load and use any
- gadget as if it was a Plasma widget. It also integrates download and
- installation of new gadgets from the official Google Desktop Gadgets website.
- .
- This package is part of the KDE base workspace module.
-
 Package: freespacenotifier
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -400,8 +388,10 @@
 Package: kde-style-oxygen
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: kdebase-workspace-bin (<< 4:4.7.2), kdebase-workspace-data (<< 4:4.7.2)
-Replaces: kdebase-workspace-bin (<< 4:4.7.2), kdebase-workspace-data (<< 4:4.7.2)
+Breaks: kdebase-workspace-bin (<< 4:4.7.2), kdebase-workspace-data (<< 4:4.7.2),
+ kdebase-runtime (<< 4:4.7.2)
+Replaces: kdebase-workspace-bin (<< 4:4.7.2), kdebase-workspace-data (<< 4:4.7.2),
+ kdebase-runtime (<< 4:4.7.2)
 Description: Oxygen widget style
  This package provides the Oxygen widget style. It may be used for KDE and Qt
  applications.
diff -Nru kde-workspace-4.8.4/debian/libkwineffects1abi3.symbols kde-workspace-4.8.4/debian/libkwineffects1abi3.symbols
--- kde-workspace-4.8.4/debian/libkwineffects1abi3.symbols	2012-09-30 16:56:53.000000000 -0300
+++ kde-workspace-4.8.4/debian/libkwineffects1abi3.symbols	2013-01-21 13:10:16.000000000 -0300
@@ -1,4 +1,4 @@
-# SymbolsHelper-Confirmed: 4:4.8.4 armel armhf mips mipsel sparc
+# SymbolsHelper-Confirmed: 4:4.8.4 amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel sparc
 libkwineffects.so.1abi3 libkwineffects1abi3 #MINVER#
  ABI_1_3@ABI_1_3 4:4.8.1
  _ZN4KWin10Extensions10has_damageE@ABI_1_3 4:4.8.1
@@ -192,7 +192,7 @@
  _ZN4KWin6EffectD1Ev@ABI_1_3 4:4.8.1
  _ZN4KWin6EffectD2Ev@ABI_1_3 4:4.8.1
  (optional=templinst|arch=mips mipsel)_ZN4KWin6MotionI7QPointFE6finishEv@ABI_1_3 4:4.8.4
- (optional=templinst)_ZN4KWin6MotionI7QPointFE9calculateEi@ABI_1_3 4:4.8.3
+ (optional=templinst|arch=!amd64 !hurd-i386 !i386 !kfreebsd-amd64 !kfreebsd-i386)_ZN4KWin6MotionI7QPointFE9calculateEi@ABI_1_3 4:4.8.3
  (optional=templinst|arch=armhf ia64 mips mipsel powerpc s390)_ZN4KWin6MotionI7QPointFEC1ERKS2_@ABI_1_3 4:4.8.3
  (optional=templinst|arch=armhf ia64 mips mipsel powerpc s390)_ZN4KWin6MotionI7QPointFEC2ERKS2_@ABI_1_3 4:4.8.3
  _ZN4KWin7effectsE@ABI_1_3 4:4.8.1
diff -Nru kde-workspace-4.8.4/debian/libprocesscore4abi1.symbols kde-workspace-4.8.4/debian/libprocesscore4abi1.symbols
--- kde-workspace-4.8.4/debian/libprocesscore4abi1.symbols	2012-09-30 17:02:19.000000000 -0300
+++ kde-workspace-4.8.4/debian/libprocesscore4abi1.symbols	2013-01-21 12:45:20.000000000 -0300
@@ -1,4 +1,4 @@
-# SymbolsHelper-Confirmed: 4:4.8.4 armel armhf hurd-i386
+# SymbolsHelper-Confirmed: 4:4.8.4 armel armhf hurd-i386 kfreebsd-amd64 kfreebsd-i386
 libprocesscore.so.4abi1 libprocesscore4abi1 #MINVER#
 * Build-Depends-Package: kdebase-workspace-dev
  ABI_4_1@ABI_4_1 4:4.6.1
@@ -47,6 +47,8 @@
  _ZN9KSysGuard7ProcessC1ExxPS0_@ABI_4_1 4:4.6.1
  _ZN9KSysGuard7ProcessC2Ev@ABI_4_1 4:4.6.1
  _ZN9KSysGuard7ProcessC2ExxPS0_@ABI_4_1 4:4.6.1
+ (arch=kfreebsd-amd64 kfreebsd-i386)_ZN9KSysGuard7ProcessD1Ev@ABI_4_1 4:4.8.4
+ (arch=kfreebsd-amd64 kfreebsd-i386)_ZN9KSysGuard7ProcessD2Ev@ABI_4_1 4:4.8.4
  _ZN9KSysGuard9Processes10addProcessEll@ABI_4_1 4:4.6.1
  _ZN9KSysGuard9Processes10runCommandERK7QStringi@ABI_4_1 4:4.6.1
  _ZN9KSysGuard9Processes10sendSignalEli@ABI_4_1 4:4.6.1
diff -Nru kde-workspace-4.8.4/debian/not-installed kde-workspace-4.8.4/debian/not-installed
--- kde-workspace-4.8.4/debian/not-installed	2012-06-28 22:50:35.000000000 -0300
+++ kde-workspace-4.8.4/debian/not-installed	2013-01-20 12:45:59.000000000 -0300
@@ -11,6 +11,13 @@
 ./usr/lib/liboxygenstyle.so
 ./usr/lib/liboxygenstyleconfig.so
 
+# These files would belong to plasma-scriptengine-googlegadgets, which was
+# removed because it was RC-buggy and unmaintained.
+./usr/lib/kde4/plasma_package_ggl.so
+./usr/lib/kde4/plasma_scriptengine_ggl.so
+./usr/share/kde4/services/plasma-packagestructure-googlegadgets.desktop
+./usr/share/kde4/services/plasma-scriptengine-googlegadgets.desktop
+
 # Python *.pyc files
 ./usr/share/kde4/apps/plasma_scriptengine_python/pyappletscript.pyc
 ./usr/share/kde4/apps/plasma_scriptengine_python/pydataengine.pyc
diff -Nru kde-workspace-4.8.4/debian/plasma-scriptengine-googlegadgets.install kde-workspace-4.8.4/debian/plasma-scriptengine-googlegadgets.install
--- kde-workspace-4.8.4/debian/plasma-scriptengine-googlegadgets.install	2012-06-28 22:50:35.000000000 -0300
+++ kde-workspace-4.8.4/debian/plasma-scriptengine-googlegadgets.install	1969-12-31 21:00:00.000000000 -0300
@@ -1,4 +0,0 @@
-usr/lib/kde4/plasma_package_ggl.so
-usr/lib/kde4/plasma_scriptengine_ggl.so
-usr/share/kde4/services/plasma-packagestructure-googlegadgets.desktop
-usr/share/kde4/services/plasma-scriptengine-googlegadgets.desktop
-- 
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-kde-talk

Reply via email to